> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update PMS integration API key

> Update the API key of an existing PMS integration. The new API key must belong to the same PMS account and type. The key will be validated with the PMS.



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml patch /v1/organisations/{organisationId}/pms-integrations
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/organisations/{organisationId}/pms-integrations:
    patch:
      tags:
        - PMS Integration
      summary: Update PMS integration API key
      description: >-
        Update the API key of an existing PMS integration. The new API key must
        belong to the same PMS account and type. The key will be validated with
        the PMS.
      operationId: PmsIntegrationController_updateApiKey
      parameters:
        - name: organisationId
          required: true
          in: path
          schema:
            example: org_31XEcUshz1ymodA14HALnyP48g1
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PmsIntegrationUpdateApiKeyParams'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PmsIntegration'
components:
  schemas:
    PmsIntegrationUpdateApiKeyParams:
      type: object
      properties:
        apiKey:
          type: string
      required:
        - apiKey
    PmsIntegration:
      type: object
      properties:
        id:
          type: string
        pmsType:
          enum:
            - cliniko
            - nookal_v2
            - splose
          type: string
        maskedApiKey:
          type: string
      required:
        - id
        - pmsType

````